www-legal-discuss mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Mclean <jus...@classsoftware.com>
Subject Re: Dependency on OpenSSL
Date Thu, 02 Jun 2016 23:18:22 GMT
Hi,

> As far as I can tell, the 4-clause BSD license is not listed under any
> "category" -- it's not in "A", "B", or "X", it is simply not covered by
> <http://www.apache.org/legal/resolved>.

As far as I can that that is the case and it seems like it should be regarded as category
X, but open to other opinions.

There several places where it stated / discussed it’s not allowed. e.g. [1]

It’s not on the list of OSI approved licenses [2] " The four clause license has not been
approved by OSI”, and probably fails the criteria here. [3]

The issue here is that it’s being bundled / statically linked not that the project uses
it.

Thanks,
Justin

1. https://issues.apache.org/jira/browse/LEGAL-185
2. https://opensource.org/licenses/BSD-3-Clause
3. http://www.apache.org/legal/resolved.html#criteria
---------------------------------------------------------------------
To unsubscribe, e-mail: legal-discuss-unsubscribe@apache.org
For additional commands, e-mail: legal-discuss-help@apache.org


Mime
View raw message